<?php

use Illuminate\Database\Migrations\Migration;

class CreateNewslettersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: newsletters
         */
        Schema::create('newsletters', function ($table) {
            $table->increments('id');
            $table->string('name', 50)->nullable();
            $table->text('title')->nullable();
            $table->text('heading')->nullable();
            $table->text('sub_heading')->nullable();
            $table->text('abstract')->nullable();
            $table->text('content')->nullable();
            $table->text('meta_title')->nullable();
            $table->text('meta_keyword')->nullable();
            $table->text('meta_description')->nullable();
            $table->mediumText('banner')->nullable();
            $table->text('images')->nullable();
            $table->tinyInteger('compile')->nullable();
            $table->string('view', 20)->nullable();
            $table->string('category', 20)->nullable();
            $table->integer('order')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('newsletters');
    }
}
