<?php

namespace Litecms\DMNewsletter\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Newsletter extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('d_m_newsletter.newsletter.fillable');
        $this->uploads = config('d_m_newsletter.newsletter.uploadable');
        $this->uploadRootFolder = config('d_m_newsletter.newsletter.upload_root_folder');
        $this->table = config('d_m_newsletter.newsletter.table');
    }
}
